import { App } from 'vue';
import Modal from './Modal';
import config from './config';
Modal.install = (app: App, options: any = {}) => {
  // 覆盖默认配置
  Object.assign(config.props, options.props);
  // 名称和antd的modal全局名称一致
  app.component(Modal.name, Modal);
};

export default Modal;
